clear all

% % P = 'M:\ewi\me\TS\TS-shared\UNB - Huawei\Connected Array\Measures\21 October 2022\21 October 2022';
% % S = dir(fullfile(P,'*.csv')); 
lett = ['A','B','C','D','E','F','G','H'];
pol = ['X','Y'];
j = 1;

lgd = {};

% figure, hold on

for k1 = 1:8
    for k2 = 1:8
        for k3 = 1:2
            filename = ['S_E5X_', lett(k1), num2str(k2), pol(k3), '.csv'];
% % % %             filename = ['S_D4Y_', 'H', num2str(8), 'Y', '.csv'];
            if ~strcmp([lett(k1), num2str(k2), pol(k3)],'E5X')
                data = importfile(filename, 7, 808);
                freq = data(:,1);
                S11dB = data(:,2);
                S11deg = data(:,3);
                S12dB = data(:,4);
                S12deg = data(:,5);
                S22dB = data(:,8);
                S22deg = data(:,9);
                S11 = 10.^(S11dB/20).*exp(1i*deg2rad(S11deg));
                S12 = 10.^(S12dB/20).*exp(1i*deg2rad(S12deg));
                S22 = 10.^(S22dB/20).*exp(1i*deg2rad(S22deg));
                Smattotal(:,j) = S12;
%                 plot(freq,20*log10(abs(S11)));
                S11_total(:,j) = S11;
                S22_total(:,j) = S22;
%                 [lett(k1), num2str(k2), pol(k3)]
                lgd{j} = ['E5X', lett(k1), num2str(k2), pol(k3)];
            else
                Smattotal(:,j) = S11;
                S11_total(:,j) = S11;
                S22_total(:,j) = S11;
            end
            if k1 ==  5 && k2==5 && k3 == 1
                current = j;
            end
            j=j+1;
% %             
                        
        end
    end
end
% legend(lgd)
dx = 15e-3;
dy = 15e-3;
k0 =  2*pi*freq/3e8;
theta = eps + deg2rad(60);
phi = eps + deg2rad(90);
Weights=zeros(length(freq),128);

for jfreq=1:length(freq)
    taper = [0.3 0.6 1 1 1 1 0.6 0.3];
% %     taper = [0 1 1 1 1 1 1 0];
    weights_X = (taper.*exp(1i*k0(jfreq)*sin(theta)*cos(phi).*dx*[0:7])).'*(taper.*exp(1i*k0(jfreq)*sin(theta)*sin(phi).*dy*[0:7]));

    weights_Y = 0*(taper.*exp(1i*k0(jfreq)*sin(theta)*cos(phi).*dx*[0:7])).'*(taper.*exp(1i*k0(jfreq)*sin(theta)*sin(phi).*dy*[0:7]));
    Weights(jfreq,1:2:end-1) = (reshape(weights_X,64,1));
    Weights(jfreq,2:2:end) = (reshape(weights_Y,64,1));
end

% filename = ['Copy_of_S_D4Y_C3Y.csv'];
% data = importfile(filename, 7, 808);
% S11dB = data(:,2);
% S11deg = data(:,3);
% S11_old = 10.^(S11dB/20).*exp(1i*deg2rad(S11deg));
% Smattotal(:,73) = S11_total(:,current);

Smattotal(:,73)=S11_total(:,95);

%Sactive = sum(Smattotal(:,2:2:end),2);
Sactive = sum(Weights.*Smattotal,2);

% figure
% plot(freq,20*log10(abs(Smattotal)));
% % 
% figure
% plot(freq*1e-9,db(S11_total(:,1)),'linewidth',2), grid on
% xlim([5 9])
% xlabel('Frequency [GHz]')
% ylabel('S_{11} [dB]')
% set(gca,'FontSize',16)
% set(gcf,'color','white'), box on


% figure
% plot(freq,20*log10(abs(S22_total)));

figure(171), hold on
plot(freq(1:5:end)*1e-9,(1+abs(Sactive(1:5:end)))./(1-abs(Sactive(1:5:end))))
ylim([1 6])
xlim([5 9])
grid on

% % % figure, 
% % figure(521), hold on
% % plot(freq(1:5:end)*1e-9,db(Sactive(1:5:end)),'linewidth',2)
% % xlim([5 9])
% % xlabel('Frequency [GHz]')
% % ylabel('\Gamma_{act} [dB]')
% % set(gca,'FontSize',16)
% % set(gcf,'color','white'), box on
% % % grid on
% % csv1 = importfile('S_D4Y_A1X.csv', 7, 808);


