clear all

p1 = 1:8;
p2 = {'X' 'Y'};
p3 = {'E' 'H'};
p4 = {'Co' 'Cross'};

for i1 = 1:8
    for i2 = 1:2
        for i4 = 1:2
            filename = ['E',num2str(p1(i1)),p2{i2},'_',p3{i2},p4{i4}];
            load(filename)
           choice = [p2{i2},p4{i4}];

            for iPos = 1:length(positions)
                [s12Time,t,Sp_full,f2,H,ph,fh] = tim_freq2time(CpxData(iPos,:),frequencies(1),frequencies(end),0,0,0,0,5);

                if i2==1
                    gate = ETWin(length(s12Time),1,15,1450,1500);
% %                     gate = ETWin(length(s12Time),1,15,4550,4600);

                else
                    gate = ETWin(length(s12Time),1,15,1450,1500);
                end

                    s12GT(:,iPos) = s12Time.*gate.';
                    s12GF(:,iPos) = 2*fft(s12GT(:,iPos));
             end

            switch choice
                case 'XCo'
                    E_XECo(:,:,i1) = s12GF;
                case 'XCross'
                    E_XECross(:,:,i1) = s12GF;
                case 'YCo'
                    E_YHCo(:,:,i1) = s12GF;
                case 'YCross'
                    E_YHCross(:,:,i1) = s12GF;
            end
        end
    end
end

%xShift = -1.5e-2; yShift = 0; zShift = 0.7e-2;
xShift = -1e-2; yShift = 0; zShift = -0.7e-2; %EPlane

th = positions; ph = 0;

r = 1;
x = r*sind(th)*cosd(ph);
y = r*sind(th)*sind(ph);
z = r*cosd(th);

xPrime = x + xShift; yPrime = y + yShift; zPrime = z + zShift;

rPrime = sqrt(xPrime.^2+yPrime.^2+zPrime.^2);

freq = 8e9;

% % % % % offSetPhase = exp(-1j*deg2rad([147.0249  143.7940  159.7242  151.6389  157.0541  156.2972  156.8264  160.1415])); %%E plane 8 GHz
% % % offSetPhase = exp(-1j*deg2rad([  -29.1816   11.0816  -10.5172  -20.0844  -21.5561  -11.8489  -25.1496   74.9790])); %%H plane 8 GHz

compPhase = exp(-1j*(2*pi*freq/physconst('lightspeed'))*(rPrime-r));

E_CoCentered = squeeze(E_YHCo(f2 == freq,:,:)).*compPhase;
% % E_CoCenteredPlotPhase = 180/pi*unwrap((angle(E_CoCentered(91:end,:))));

figure, hold on, plot(positions,flip(db(E_CoCentered(:,5))-max(db(E_CoCentered(:,5)))),'LineWidth',2)
% % figure, hold on, plot(positions(91:end),(E_CoCenteredPlotPhase(:,4:5)),'LineWidth',2)



xShift2 = 2.4e-2; yShift2 = 0; zShift2 = 0; %EPlane

th = positions; ph = 0;

r = 1;
x = r*sind(th)*cosd(ph);
y = r*sind(th)*sind(ph);
z = r*cosd(th);

xPrime = x + xShift2; yPrime = y + yShift2; zPrime = z + zShift2;

rPrime = sqrt(xPrime.^2+yPrime.^2+zPrime.^2);

compPhase = exp(-1j*(2*pi*freq/physconst('lightspeed'))*(rPrime-r));

E_CoCentered(:,5) = E_CoCentered(:,5).*compPhase;

E_CoCenteredPlotPhase = 180/pi*unwrap((angle(E_CoCentered(91:end,:))));
offSetPhase = exp(-1j*deg2rad(E_CoCenteredPlotPhase(1,:)));
E_CoCentered = E_CoCentered.*offSetPhase;

figure, plot(positions(91:end),180/pi*unwrap((angle(E_CoCentered(91:end,:)))))

patternBroadside = sum(E_CoCentered./max(abs(E_CoCentered)),2);
figure, plot(positions,db(sum(E_CoCentered./max(abs(E_CoCentered)),2))-max(db(patternBroadside)))
hold on, plot(positions,db(sum(E_CoCentered./max(abs(E_CoCentered)).*exp(1j*2*pi*freq/physconst('lightspeed')*sind(60)*[1:8]*15e-3),2))-max(db(patternBroadside)))

