clear all

p1 = 1:8;
p2 = {'X' 'Y'};
p3 = {'E' 'H'};
p4 = {'Co' 'Cross'};

for i1 = 1:8
    for i2 = 1:2
        for i4 = 1:2
            filename = ['E',num2str(p1(i1)),p2{i2},'_',p3{i2},p4{i4}];
            load(filename)
           choice = [p2{i2},p4{i4}];

            for iPos = 1:length(positions)
                [s12Time,t,Sp_full,f2,H,ph,fh] = tim_freq2time(CpxData(iPos,:),frequencies(1),frequencies(end),0,0,0,0,5);

                if i2==1
                    gate = ETWin(length(s12Time),1,15,1475,1525);
                else
                    gate = ETWin(length(s12Time),1,2,1475,1525);
                end

                    s12GT(:,iPos) = s12Time.*gate.';
                    s12GF(:,iPos) = 2*fft(s12GT(:,iPos));
             end

            switch choice
                case 'XCo'
                    E_XECo(:,:,i1) = s12GF;
                case 'XCross'
                    E_XECross(:,:,i1) = s12GF;
                case 'YCo'
                    E_YHCo(:,:,i1) = s12GF;
                case 'YCross'
                    E_YHCross(:,:,i1) = s12GF;
            end
        end
    end
end

xShift = -1e-2; yShift = 0; zShift = -0.7e-2; %EPlane

th = positions; ph = 0;

r = 1;
x = r*sind(th)*cosd(ph);
y = r*sind(th)*sind(ph);
z = r*cosd(th);

xPrime = x + xShift; yPrime = y + yShift; zPrime = z + zShift;

rPrime = sqrt(xPrime.^2+yPrime.^2+zPrime.^2);

for ifreq = 201:801%length(f2)
compPhase = 1;%exp(-1j*(2*pi*f2(ifreq)/physconst('lightspeed'))*(rPrime-r));

E_YHCoCentered(ifreq,:,:) = E_YHCo(ifreq,:,:).*compPhase;
E_YHCrossCentered(ifreq,:,:) = E_YHCross(ifreq,:,:).*compPhase;

E_CoCenteredPlotPhase = (180/pi*unwrap(angle(E_YHCoCentered(ifreq,91:end,:))));
offSetPhase = exp(-1j*0*deg2rad(E_CoCenteredPlotPhase(1,1,:)));
E_YHCoCentered(ifreq,:,:) = E_YHCoCentered(ifreq,:,:).*offSetPhase;
E_YHCrossCentered(ifreq,:,:) = E_YHCrossCentered(ifreq,:,:).*offSetPhase;


E_XECoCentered(ifreq,:,:) = E_XECo(ifreq,:,:).*compPhase;
E_XECrossCentered(ifreq,:,:) = E_XECross(ifreq,:,:).*compPhase;

E_CoCenteredPlotPhase = 180/pi*(unwrap(angle(E_XECoCentered(ifreq,91:end,:))));
offSetPhase = exp(-1j*0*deg2rad(E_CoCenteredPlotPhase(1,1,:)));
E_YHCoCentered(ifreq,:,:) = E_YHCoCentered(ifreq,:,:).*offSetPhase;
E_YHCrossCentered(ifreq,:,:) = E_YHCrossCentered(ifreq,:,:).*offSetPhase;

end

% % 
% % patternBroadside = sum(E_CoCentered./max(abs(E_CoCentered)),2);
% % figure, plot(positions,db(sum(E_CoCentered./max(abs(E_CoCentered)),2))-max(db(patternBroadside)))
% % hold on, plot(positions,db(sum(E_CoCentered./max(abs(E_CoCentered)).*exp(1j*2*pi*freq/physconst('lightspeed')*sind(-60)*[1:8]*15e-3),2))-max(db(patternBroadside)))



E_YHNorm = max(abs(E_YHCoCentered),[],2);
E_XENorm = max(abs(E_XECoCentered),[],2);

E_YHCoCenteredNorm = E_YHCoCentered./E_YHNorm;
E_YHCrossCenteredNorm = E_YHCrossCentered./E_YHNorm;

E_XECoCenteredNorm = E_XECoCentered./E_XENorm;
E_XECrossCenteredNorm = E_XECrossCentered./E_XENorm;

E_YHCoCenteredBroadside = sum(E_YHCoCenteredNorm,3);
E_YHCrossCenteredBroadside = sum(E_YHCrossCenteredNorm,3);
E_XECoCenteredBroadside = sum(E_XECoCenteredNorm,3);
E_XECrossCenteredBroadside = sum(E_XECrossCenteredNorm,3);

figure, imagesc(f2*1e-9,positions,db(E_YHCoCenteredBroadside))
xlim([2 9])
figure, imagesc(f2*1e-9,positions,db(E_YHCrossCenteredBroadside))
xlim([2 9])

