clear all

p1 = 1:8;
p2 = {'X' 'Y'};
p3 = {'E' 'H'};
p4 = {'Co' 'Cross'};

freqIndexes = 301;%[1 101 201 301 401 501 601];

for i1 = 6%:8
    for i2 = 2%1:2
        for i4 = 1:2
            filename = ['E',num2str(p1(i1)),p2{i2},'_',p3{i2},p4{i4}];
            load(filename)
            choice = p4{i4};

            for iPos = 1:length(positions)
                [s12Time,t,Sp_full,f2,H,ph,fh] = tim_freq2time(CpxData(iPos,:),frequencies(1),frequencies(end),0,0,0,0,5);

                if i2==1
                    gate = ETWin(length(s12Time),1,15,1475,1525);
                else
                    gate = ETWin(length(s12Time),1,2,1475,1525);
                end

                    s12GT(:,iPos) = s12Time.*gate.';
                    s12GF(:,iPos) = 2*fft(s12GT(:,iPos));
             end

            switch choice
                case 'Co'
                    Co = s12GF;
                case 'Cross'
                    Cross = s12GF;
            end
        end
    end
end



fr = 5e9;
figure, hold on,
plot(positions,db(Co(f2==fr,:))-max(db(Co(f2==fr,:))),'LineStyle',':','LineWidth',2)
plot(positions,db(Cross(f2==fr,:))-max(db(Co(f2==fr,:))),'LineStyle',':','LineWidth',2)
xlim([-90 90])
ylim([-30 0])
grid on
legend(['E',num2str(p1(i1)),p2{i2},'-co (meas)'],['E',num2str(p1(i1)),p2{i2},'-cross (meas)'])

