clear all

p1 = 1:8;
p2 = {'X' 'Y'};
p3 = {'E' 'H'};
p4 = {'Co' 'Cross'};

for i1 = 1:8
    for i2 = 1:2
        for i4 = 1:2
            filename = ['E',num2str(p1(i1)),p2{i2},'_',p3{i2},p4{i4}];
            load(filename)
           choice = [p2{i2},p4{i4}];

            for iPos = 1:length(positions)
                [s12Time,t,Sp_full,f2,H,ph,fh] = tim_freq2time(CpxData(iPos,:),frequencies(1),frequencies(end),0,0,0,0,5);

                if i2==1
                    gate = ETWin(length(s12Time),1,15,1475,1525);
                else
                    gate = ETWin(length(s12Time),1,2,1475,1525);
                end

                    s12GT(:,iPos) = s12Time.*gate.';
                    s12GF(:,iPos) = 2*fft(s12GT(:,iPos));
             end

            switch choice
                case 'XCo'
                    E_XECo(:,:,i1) = s12GF;
                case 'XCross'
                    E_XECross(:,:,i1) = s12GF;
                case 'YCo'
                    E_YHCo(:,:,i1) = s12GF;
                case 'YCross'
                    E_YHCross(:,:,i1) = s12GF;
            end
        end
    end
end


for ifreq = 201:801

E_YHCoCentered(ifreq,:,:) = E_YHCo(ifreq,:,:);
E_YHCrossCentered(ifreq,:,:) = E_YHCross(ifreq,:,:);

E_CoCenteredPlotPhase = (180/pi*unwrap(angle(E_YHCoCentered(ifreq,91:end,:))));
offSetPhase = exp(-1j*deg2rad(E_CoCenteredPlotPhase(1,1,:)));
E_YHCoCentered(ifreq,:,:) = E_YHCoCentered(ifreq,:,:).*offSetPhase;
E_YHCrossCentered(ifreq,:,:) = E_YHCrossCentered(ifreq,:,:).*offSetPhase;


E_XECoCentered(ifreq,:,:) = E_XECo(ifreq,:,:);
E_XECrossCentered(ifreq,:,:) = E_XECross(ifreq,:,:);

E_CoCenteredPlotPhase = 180/pi*(unwrap(angle(E_XECoCentered(ifreq,91:end,:))));
offSetPhase = exp(-1j*deg2rad(E_CoCenteredPlotPhase(1,1,:)));
E_XECoCentered(ifreq,:,:) = E_XECoCentered(ifreq,:,:).*offSetPhase;
E_XECrossCentered(ifreq,:,:) = E_XECrossCentered(ifreq,:,:).*offSetPhase;
end

% % 
% % patternBroadside = sum(E_CoCentered./max(abs(E_CoCentered)),2);
% % figure, plot(positions,db(sum(E_CoCentered./max(abs(E_CoCentered)),2))-max(db(patternBroadside)))
% % hold on, plot(positions,db(sum(E_CoCentered./max(abs(E_CoCentered)).*exp(1j*2*pi*freq/physconst('lightspeed')*sind(-60)*[1:8]*15e-3),2))-max(db(patternBroadside)))



E_YHNorm = max(abs(E_YHCoCentered),[],2);
E_XENorm = max(abs(E_XECoCentered),[],2);

E_YHCoCenteredNorm = E_YHCoCentered./E_YHNorm;
E_YHCrossCenteredNorm = E_YHCrossCentered./E_YHNorm;

E_XECoCenteredNorm = E_XECoCentered./E_XENorm;
E_XECrossCenteredNorm = E_XECrossCentered./E_XENorm;

E_YHCoCenteredBroadside = sum(E_YHCoCenteredNorm,3);
E_YHCrossCenteredBroadside = sum(E_YHCrossCenteredNorm,3);

E_XECoCenteredBroadside = sum(E_XECoCenteredNorm,3);
E_XECrossCenteredBroadside = sum(E_XECrossCenteredNorm,3);

phaseS = repmat(permute(exp(1j*2*pi*f2(1:801)/physconst('lightspeed')*sind(-60)*(1:8)*15e-3), [1 3 2]),[1 181 1]);

E_YHCoCenteredScanning = sum(E_YHCoCenteredNorm.*phaseS,3);
E_YHCrossCenteredScanning = sum(E_YHCrossCenteredNorm.*phaseS,3);

E_XECoCenteredScanning = sum(E_XECoCenteredNorm.*phaseS,3);
E_XECrossCenteredScanning = sum(E_XECrossCenteredNorm.*phaseS,3);

figure, imagesc(positions,f2(201:801)*1e-9,db(E_YHCoCenteredBroadside(201:801,:))-max(db(E_YHCoCenteredBroadside(201:801,:)),[],2))
caxis([-20 0])
figure, imagesc(positions,f2(201:801)*1e-9,db(E_YHCrossCenteredBroadside(201:801,:))-max(db(E_YHCoCenteredBroadside(201:801,:)),[],2))
caxis([-20 0])

figure, imagesc(positions,f2(201:801)*1e-9,db(E_YHCoCenteredScanning(201:801,:))-max(db(E_YHCoCenteredScanning(201:801,:)),[],2))
caxis([-20 0])
figure, imagesc(positions,f2(201:801)*1e-9,db(E_YHCrossCenteredScanning(201:801,:))-max(db(E_YHCoCenteredScanning(201:801,:)),[],2))
caxis([-20 0])

figure, imagesc(positions,f2(201:801)*1e-9,db(E_XECoCenteredBroadside(201:801,:))-max(db(E_XECoCenteredBroadside(201:801,:)),[],2))
caxis([-20 0])
figure, imagesc(positions,f2(201:801)*1e-9,db(E_XECrossCenteredBroadside(201:801,:))-max(db(E_XECoCenteredBroadside(201:801,:)),[],2))
caxis([-20 0])

figure, imagesc(positions,f2(201:801)*1e-9,db(E_XECoCenteredScanning(201:801,:))-max(db(E_XECoCenteredScanning(201:801,:)),[],2))
caxis([-20 0])
figure, imagesc(positions,f2(201:801)*1e-9,db(E_XECrossCenteredScanning(201:801,:))-max(db(E_XECoCenteredScanning(201:801,:)),[],2))
caxis([-20 0])